This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 653486 - Update bind to the latest 9.7.X bugfix release
Update bind to the latest 9.7.X bugfix release
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: bind (Show other bugs)
6.0
Unspecified Unspecified
low Severity medium
: rc
: ---
Assigned To: Adam Tkac
qe-baseos-daemons
: Rebase
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-15 10:36 EST by Adam Tkac
Modified: 2012-07-11 03:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
the bind packages in this update are rebased to version 9.7.2-P3. Full details of the bugfixes and enhancements supplied by this rebase are available in the bind release notes linked to in the References section of this errata. http://ftp.isc.org/isc/bind9/9.7.3/RELEASE-NOTES-BIND-9.7.3.html
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 08:58:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Adam Tkac 2010-11-15 10:36:50 EST
Description of problem:

Update bind to the latest 9.7.X bugfix release (currently 9.7.2-P2). Bugfix release contains only bugfixes and it's good idea to rebase bind package to fix many undiscovered issues.

Version-Release number of selected component (if applicable):
bind-9.7.0-5.P2.el6
Comment 3 Aliet 2010-11-21 12:23:45 EST
Yss, please rebase to latest stable.
Comment 8 Adam Tkac 2011-01-05 09:13:40 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The 9.7.2-P3 release contains more than 50 bugfixes. Important ones are:
* dnssec-signzone didn't handle out of zone records well
* named could return SERVFAIL for negative responses from unsigned zones
* it was possible for re-signing to stop after removing a DNSKEY
* NSEC3 chains could be left behind when transitioning to insecure
* nsupdate didn't default to the parent zone when updating DS records
* handle REVOKED keys better
Comment 10 Martin Cermak 2011-03-18 06:07:45 EDT
Sanity and regression testing performed. Setting VERIFIED. Testing results see https://beaker.engineering.redhat.com/jobs/63067.
Comment 11 Ryan Lerch 2011-05-03 22:07:04 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,7 +1,3 @@
-The 9.7.2-P3 release contains more than 50 bugfixes. Important ones are:
+the bind packages in this update are rebased to version 9.7.2-P3. Full details of the bugfixes and enhancements supplied by this rebase are available in the bind release notes linked to in the References section of this errata.
-* dnssec-signzone didn't handle out of zone records well
+
-* named could return SERVFAIL for negative responses from unsigned zones
+http://ftp.isc.org/isc/bind9/9.7.3/RELEASE-NOTES-BIND-9.7.3.html-* it was possible for re-signing to stop after removing a DNSKEY
-* NSEC3 chains could be left behind when transitioning to insecure
-* nsupdate didn't default to the parent zone when updating DS records
-* handle REVOKED keys better
Comment 12 errata-xmlrpc 2011-05-19 08:58:20 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0541.html

Note You need to log in before you can comment on or make changes to this bug.